wan2.6-r2vを使用してください。
モデル仕様
Wan APIリファレンスには、モデル固有のフィールド、メディアの制限、デフォルト値、ポーリングの手順が定義されています。別のバージョンの入力フィールドや出力サイズのフィールドを流用しないでください。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Wan 2.6 R2Vは、画像・動画のURLから、被写体の一貫性を保った動画を生成します。各ソースはcharacter1、character2などとして参照します。
wan2.6-r2vを使用してください。
| プロパティ | 値 |
|---|---|
| モード | 参照から動画への生成 |
| 解像度 | 720P / 1080P |
| 長さ(秒) | 2-10 |
| 出力 | MP4 / 30 fps |
| リクエスト | model + metadata.input + metadata.parameters |
curl --request POST "https://api.mixroute.ai/v1/video/generations" \
--header "Authorization: Bearer $MIXROUTE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"model": "wan2.6-r2v",
"metadata": {
"input": {
"prompt": "character1 slowly rotates on a white tabletop. Static camera, soft studio lighting.",
"reference_urls": [
"https://example.com/reference.png"
]
},
"parameters": {
"size": "1280*720",
"duration": 2,
"watermark": false
}
}
}'
import json
import os
import requests
payload = json.loads(r'''
{
"model": "wan2.6-r2v",
"metadata": {
"input": {
"prompt": "character1 slowly rotates on a white tabletop. Static camera, soft studio lighting.",
"reference_urls": [
"https://example.com/reference.png"
]
},
"parameters": {
"size": "1280*720",
"duration": 2,
"watermark": false
}
}
}
''')
response = requests.post(
"https://api.mixroute.ai/v1/video/generations",
headers={"Authorization": "Bearer " + os.environ["MIXROUTE_API_KEY"]},
json=payload,
timeout=120,
)
response.raise_for_status()
result = response.json()
task_id = result.get("task_id") or result.get("id")
if not task_id:
raise RuntimeError(result.get("message") or result)
print(task_id)